Subject: Re: [Teas] [IANA #992491] Protocol Action: 'OSPF-Traffic Engineering Link Availability Extension for Links with Variable Discrete Bandwidth' to Proposed Standard (draft-ietf-ccamp-ospf-availability-extension-13.txt)

From: Greg Mirsky <[email-masked]>
Date: Fri, 15 Dec 2017 15:03:03 -0600

Dear TEAS Experts, et. al,
I've refreshed my memory of the RFC 8258 that defined SCSI-TLV and the
Generalized
SCSI (Switching Capability Specific Information) TLV Types registry. The
current registry has values 1 through 9 as unassigned and without any
reference. Do you have plans to use these values in the future? And it
would help me a great deal if you expand on references to allocated sub-TLV
type values for RFC 7688 and RFC 7138. Do you have concern that the new
Availability type may be used in the same TLV with them? I don't see that
as possible scenario but I might be missing something here.

Regards,
Greg

On Fri, Dec 15, 2017 at 1:03 PM, Amanda Baber via RT <
[email-masked]> wrote:

> Dear Authors,
>
> This is the answer from the designated experts re: the use of value 10
> instead of value 1:
>
> > The short answer is to avoid the sub-tlv values used in RFC7688 (1-5)
> > and 7138 (1-2) and it seemed better to start with 10 then 6.  Also, if
> > they want to discuss further, please ask them to send a message to the
> > TEAS WG list.
>
> Can you review this registry action and below confirm that we've completed
> it correctly? Please see the question below as well.
>
> We've added the following entry to the Generalized SCSI (Switching
> Capability Specific Information) TLV Types registry:
>
> Value: 10
> SCSI-TLV: Availability
> Switching Type:
> Reference: [RFC-ietf-ccamp-ospf-availability-extension-13]
>
> QUESTION: RFC 8258 states that "New allocation requests to this registry
> must indicate the value or values to be used in the Switching Type column."
> How should we fill in the column for this registration? Please note that
> this field should be added to the IANA Considerations section.
>
> Please see
> https://www.iana.org/assignments/gmpls-sig-parameters
>
> Once we have data for the Switching Type field, if this action is
> otherwise correct, we'll tell the RFC Editor the actions are complete.
>
> Best regards,
>
> Amanda Baber
> Lead IANA Services Specialist
>